Jump to content

Versions bêta : macOS 10.14


28 posts in this topic

Recommended Posts

Ca s'installe comme High Sierra; il faut juste utiliser Clover r4517 ou supérieur.

https://github.com/Dids/clover-builder/releases

 

J'ai fait une installation rapide sur mon Dell Latitude E6230 (Ivy Bridge/HD4000):

E6230_Mojave_10_14.thumb.png.aa631cad84954cd7596d9ecc26fb1a6f.png

 

E6230_i5-3340M_8GB_HD4000_10_14_b1.png.7195c6d23b2bafb76e078be5434f2642.png

Y'a plus qu'à faire les autres...

 

Pour le format file système, il semblerait que cela soit APFS ou rien! J'avais modifié le fichier minstallconfig.xml de l'installe temporaire de 1er reboot pour passer le paramètre de conversion APFS à "false" et ma partition cible a quand même été convertie...
 

Les applis en provenance d'IOS migrent petit à petit sous macOS:

Moj_apps.png.8445181242a17b82937d97a6b3ad9f6e.png

 

Pas de drivers HD3000 et Intel HD 1ère génération, donc pas de support pour les iGPU Arrandale/Clarkdale/Sandy Bridge (pour le moment?).

 

Edited by Hervé

A ma connaissance, Apple n'a jamais utilisé OpenGL au delà de la v3.3. Après, une compatibilité avec des anciens GPUs qui ne supportent pas Metal serait, pour le moment, conservée. J'ai cru lire ça sur le Net, mais à confirmer... Pour la HD 4870, quel sont/étaient les drivers (kexts) graphiques applicables jusqu'ici? S'ils sont encore présents sous Mojave, la réponse sera :thumbsup_anim:, dans le cas contraire :thumbsdown_anim: et donc :bye:, il faudra changer la carte graphique par un modèle compatible Metal; du moins là où cela est possible.

 

Edited by Hervé
48 minutes ago, Gotier said:

Sympa !

 

Simple question, les utilisateurs de vieux matoss' qui supporte pas Métal (OpenGL 4.3) on peut faire une croix dessus ou c'est faisable ? (ATI HD4870)

 

Pour l'instant, il faut mettre une croix dessus pour cause d'absence des drivers (kexts). Apple aurait promis d'ajouter le support pour les Macs 2010/2011 (peut-être juste les versions Pro) dans les prochaines bêtas à venir donc supposé ajout d'anciens kexts.

 

Donc cette DB1 est actuellement à bannir pour les anciennes configurations.

Bon et bien, j'avais mal lu...

 

Apple indique bien que, côté hardware, il faudra un GPU compatible Metal:

https://www.apple.com/fr/newsroom/2018/06/apple-introduces-macos-mojave/

Dispo_Mojave.jpg.e77ea78e4169f3ca57a21b9075975e1a.jpg

 

Après, c'est du côté des applis que la compatibilité OpenCL/OpenGL sera conservée sous Mojave mais la techno passe désormais en obsolescence au profit de Metal:

https://developer.apple.com/macos/whats-new/

OpenCL_OpenGL_deprecation.jpg.d8aa3c6967552e2e7cd5074ea2083fdb.jpg

Edited by Hervé
1 hour ago, Hervé said:

Apple indique bien que, côté hardware, il faudra un GPU compatible Metal:

 

Après connaissant Apple, c'est souvent le côté marketing qu'il faut voir derrière ce genre de message.

 

Certains ont pu faire fonctionner leurs anciennes cartes graphiques non-metal mais qui ont été, je pense, toujours reconnues nativement.

 

 

Comme j'ai dit, nous verrons ce que fera Apple avec les prochaines bêtas et même dans les prochaines mises à jour, s'ils vont complètement supprimer le support pour les anciennes générations de cartes graphiques (non-metal) ou bien s'ils vont tout de même laisser (pour nous ???   :D) du code pour un éventuel support.

 

Il faut aussi attendre du côté de Nvidia et voir ce qu'ils vont faire avec leurs web-drivers. Je pense que l'avenir est plus incertain du côté des CG AMD/ATI.  :(  Je parle bien des anciennes générations, comme ma HD4830 et HD6770.

Merci pour vos réponse les gars !

 

Ma version ATIRadeonX2000 est en 10.4.14 et AMD4800Controller est en 1.66.42.

 

Mais effectivement j'ai du soucis à me faire.... ça sent le changement ! 10 ans de Hackintosh dessus !

  • 2 weeks later...
  • 3 weeks later...

Ben finalement, c'est maintenant possible d'installer macOS Mojave sur tous les Core2Duo/Core2Quad ayant seulement les instructions SSE4.1  :thumbsup_anim:

 

 

On doit cet exploit (simple certes) à un membre de MacRumors - L'info a été relayé par Badruzeus

 

Plus que quelqu'un trouve un moyen, j'espère tout aussi simple, de faire fonctionner correctement les GPUs ne supportant pas l'api metal.  ^_^

On 7/9/2018 at 7:43 PM, fantomas1 said:

Plus que quelqu'un trouve un moyen, j'espère tout aussi simple, de faire fonctionner correctement les GPUs ne supportant pas l'api metal.

 

Et les choses semblent très positives, du moins pour les GPU's nVidia non-Metal, toujours d'après ce même utilisateur.

 

Sur notre forum, certains ont parfaitement réussi à faire fonctionner des GPU's nVidia avec les puces Tesla, plus qu'à voir de côté des anciens GPU's ATI/AMD.  ;)

 

Cela me conforte dans l'idée que j'avais à propos de "macOS Mojave et SSE4,2 ou rien", çàd qu'à part l'idée de proposer aux développeurs un OS capable de tirer plein profit de la dernière version de l'API Metal (qui en occurrence a besoin de récents CPU/GPU), rien ne justifiait à mon sens la mise au placard des Mac/Hack encore parfaitement fonctionnels/compatibles avec HS.

 

De plus, cela démontre que nVidia peut aisément ajouter le support (sans KP) pour les GPU non-Metal dans la prochaine versions de ses web drivers sans que cela nuit au fonctionnement de Mojave. 

 

"Quant on veut, on peut... quand on vête, on p.te."  (Citation signée Jacques Chirac à la Laurent Gerra)

La bêta 3 a eu droit à une mise à jour (~2.79Go tout de même) - Pas d'info sur ce qu'elle apporte, si ce n'est que le nombre de la build change de lettre, 18A326g -> 18A326h.

 

Ah oui... ils ont aussi patché le plugin (seulement la partie binaire) qui permet aux Core2Duo/Quad d’amorcer sur Mojave.  :bag:

 

À (re)patcher manuellement et c'est tout bon.  :)

 

Screenshot 2018-07-12 at 13.36.38.png

J'ai toujours sous la main ma petite Pegatron GeForce G210 512 Mo qui fonctionne nativement sous macOS. Avec les drivers proposés dans la section anglaise, j'ai pu obtenir QE/CI fonctionnel sous Mojave.  :thumbsup_anim:

 

Capture d’écran 2018-07-13 à 00.40.16.png

 

 

Le "Light Mode" est un peu moche pour l'instant... il vire plus vers un gris foncé moche que ce que il doit être réellement.   Mais paraît-il que c'est un bogue sous Mojave connu aussi sous les derniers Macs.

 

Correction :

 

En mode "Clair", tout est parfait sauf la barre des menus qui reste trop gris foncé

  • 2 weeks later...

Salut tout le monde,

Bon pour l'installation j ai un peu souffert, normal j ai perdu quelques réflexes je tâte mon hack de moins en moins, ( le boulot quelle plaie ;-)  )

Le look dark Ouch!!!

Sinon ça roule de prime abord 

Capture d’écran 2018-08-05 à 06.48.34.png

Edited by Fljagd
Guest
This topic is now closed to further replies.
×
×
  • Create New...